=== modified file 'tests/test_link_tree.py'
--- tests/test_link_tree.py	2010-02-25 04:15:18 +0000
+++ tests/test_link_tree.py	2011-08-28 00:42:10 +0000
@@ -17,7 +17,12 @@
 import os
 
 from bzrlib.transform import TreeTransform
-from bzrlib.tests import TestCaseWithTransport, HardlinkFeature
+from bzrlib.tests import TestCaseWithTransport
+
+try:
+    from bzrlib.tests.features import HardlinkFeature
+except ImportError: # bzr < 2.5
+    from bzrlib.tests import HardlinkFeature
 
 from bzrlib.plugins.bzrtools import command
 from bzrlib.plugins.bzrtools.link_tree import link_tree

